Package org.freeplane.api

# Interface ExternalObject

All Superinterfaces:
  `ExternalObjectRO`

All Known Subinterfaces:
  `Proxy.ExternalObject`

public interface ExternalObject extends ExternalObjectRO
External object: `node.externalObject` - read-write.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `setFile(File target)`
  setting null uri means remove external object.
  `void`
  `setUri(String target)`
  setting null uri means remove external object.
  `void`
  `setURI(String uri)`
  Deprecated.
  since 1.2 - use `setUri(String)` instead.
  `void`
  `setZoom(float zoom)`
  set to 1.0 to set it to 100%.

  ### Methods inherited from interface org.freeplane.api.ExternalObjectRO

  `getUri, getURI, getZoom`

- ## Method Details

  - ### setUri

    void setUri(String target)
    setting null uri means remove external object. Starting with Freeplane 1.2.23 there is an additional setUri(Object) method that also accepts File, URI and URL arguments.
    Since:
      1.2

  - ### setFile

    void setFile(File target)
    setting null uri means remove external object.

  - ### setZoom

    void setZoom(float zoom)
    set to 1.0 to set it to 100%. If the node has no object assigned this method does nothing.

  - ### setURI

    @Deprecated void setURI(String uri)
    Deprecated.
    since 1.2 - use `setUri(String)` instead.